Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78741 - Command gives python errors
Summary: Command gives python errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-11-28 14:33 UTC by Mike Chambers
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-11 14:08:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:183 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-08-11 04:00:00 UTC

Description Mike Chambers 2002-11-28 14:33:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
On server installs, the command gives python errors, instead of telling user 
they can't use this command on server systems not running x.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Perform Server install
2.Run redhat-config-network as user or root
3.
	

Actual Results:  Copying ifcfg-eth0 to devices and putting it into the default 
profile.
Copying /etc/hosts to default profile.
Copying /etc/resolv.conf to default profile.
Traceback (most recent call last):
  File "/usr/sbin/neat", line 100, in ?
    from netconfpkg.gui import *
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/__init__.py", 
line 30, in ?
    exec cmd
  File "<string>", line 1, in ?
  File "/usr/sbin/../share/redhat-config-
network/netconfpkg/gui/ADSLInterface.py", line 20, in ?
    from netconfpkg.gui.GUI_functions import *
  File "/usr/sbin/../share/redhat-config-
network/netconfpkg/gui/GUI_functions.py", line 2, in ?
    import gtk
  File "/usr/share/redhat-config-network/netconfpkg/__init__.py", line 19, in ?
    
RuntimeError: could not open display

Expected Results:  Should give user message that their system isn't setup to 
run this command, or something along those lines

Additional info:

CC'ing Brent Fox as he is aware and wanted bugs filed against each individual 
packages to help track them while they come up with a solution.

Comment 1 Harald Hoyer 2002-12-04 11:17:48 UTC
ok, caught exception... thx

Comment 2 Harald Hoyer 2003-01-13 13:41:11 UTC
fixed in version >= 1.1.87

Comment 3 Harald Hoyer 2003-01-13 15:17:49 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 4 Harald Hoyer 2003-08-11 14:08:12 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html



Note You need to log in before you can comment on or make changes to this bug.